%define module  POE-Component-Logger
%define version 1.00
%define release %mkrel 8
%define	pdir	POE


Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/POE/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl-POE >= 0.11
Requires:       perl-Log-Dispatch-Config >= 0.10
BuildRequires:	perl-devel
BuildRequires:  perl-POE >= 0.11
BuildRequires:  perl-Log-Dispatch-Config >= 0.10

%description 
%{module} module for perl.  A highly flexible logger component
for POE that uses Log::Dispatch and Log::Dispatch::Config for
ultimate flexibility and power.

%prep
%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
CFLAGS="$RPM_OPT_FLAGS" make PREFIX=%{_prefix}


%install
rm -rf $RPM_BUILD_ROOT
make PREFIX="$RPM_BUILD_ROOT%{_prefix}" install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc README
%_mandir/*/*
%{perl_vendorlib}/POE/Component



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-8mdv2009.0
+ Revision: 258272
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-7mdv2009.0
+ Revision: 246326
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-5mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-5mdv2008.0
+ Revision: 25175
- rebuild


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.00-4mdk
- Fix According to perl Policy
	- Source URL
	- URL
- use mkrel

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.00-3mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-2mdk
- rebuild for new auto{prov,req}

